Anomie has uploaded a new change for review.

  https://gerrit.wikimedia.org/r/311786

Change subject: Remove pre-1.25 API compatibility code
......................................................................

Remove pre-1.25 API compatibility code

Since this extension uses extension.json, it already requires 1.25+ so
no need to keep the old code around.

Change-Id: Ia7bb4e1cc7539073420c2e749979eb74f53060c7
---
M FeedSMItem.php
1 file changed, 1 insertion(+), 5 deletions(-)


  git pull 
ssh://gerrit.wikimedia.org:29418/mediawiki/extensions/GoogleNewsSitemap 
refs/changes/86/311786/1

diff --git a/FeedSMItem.php b/FeedSMItem.php
index 400bd81..81d6dcd 100644
--- a/FeedSMItem.php
+++ b/FeedSMItem.php
@@ -102,11 +102,7 @@
                ) );
                $main = new ApiMain( $req );
                $main->execute();
-               if ( defined( 'ApiResult::META_CONTENT' ) ) {
-                       $data = $main->getResult()->getResultData( null, array( 
'BC' => array() ) );
-               } else {
-                       $data = $main->getResultData();
-               }
+               $data = $main->getResult()->getResultData( null, array( 'BC' => 
array() ) );
 
                if ( isset( $data['parse']['text']['*'] ) ) {
                        $result = $this->xmlEncode(

-- 
To view, visit https://gerrit.wikimedia.org/r/311786
To unsubscribe, visit https://gerrit.wikimedia.org/r/settings

Gerrit-MessageType: newchange
Gerrit-Change-Id: Ia7bb4e1cc7539073420c2e749979eb74f53060c7
Gerrit-PatchSet: 1
Gerrit-Project: mediawiki/extensions/GoogleNewsSitemap
Gerrit-Branch: master
Gerrit-Owner: Anomie <bjor...@wikimedia.org>

_______________________________________________
MediaWiki-commits mailing list
MediaWiki-commits@lists.wikimedia.org
https://lists.wikimedia.org/mailman/listinfo/mediawiki-commits

Reply via email to